Skip to content

getCustomers

READ

Get customers.

POST /api/v1/users/getCustomers
curl -X POST '<your-host>/api/v1/users/getCustomers' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "args": {}
  }'
Response
{
  "results": [
    {
      "active": true,
      "user": {
        "id": "string",
        "fullName": "string",
        "firstName": "string",
        "lastName": "string",
        "email": "string",
        "avatarUrl": "string"
      },
      "customer": {
        "name": "string",
        "customerType": {
          "name": "string"
        }
      }
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "args": {
      "type": "object",
      "properties": {
        "limit": {
          "type": "integer",
          "default": 100
        },
        "offset": {
          "type": "integer",
          "default": 0
        },
        "search": {
          "type": [
            "string",
            "null"
          ]
        }
      }
    }
  }
}